import logging

# Import intended API so it is easily accessible through `from  ynca import Something``
from .api import YncaApi
from .connection import YncaConnection
from .constants import (
    Avail,
    BandTun,
    Input,
    Mute,
    Party,
    PartyMute,
    Playback,
    PlaybackInfo,
    PureDirMode,
    Pwr,
    Repeat,
    Shuffle,
    SoundPrg,
    Straight,
    TwoChDecoder,
)
from .errors import (
    YncaConnectionError,
    YncaConnectionFailed,
    YncaException,
    YncaInitializationFailedException,
)
from .modelinfo import get_modelinfo

logging.getLogger(__name__).addHandler(logging.NullHandler())
